org.mariadb.jdbc

## Class MySQLXAResource

- java.lang.Object
- - org.mariadb.jdbc.MySQLXAResource

All Implemented Interfaces:
  XAResource

    public class MySQLXAResource
    extends Object
    implements XAResource

### Field Summary

### Fields inherited from interface javax.transaction.xa.XAResource

`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

### Constructor Summary

Constructors
Constructor and Description
`MySQLXAResource(MySQLConnection connection)`

### Method Summary

Methods
`void` `commit(Xid xid, boolean onePhase)`
`void` `end(Xid xid, int flags)`
`void` `forget(Xid xid)`
`int` `getTransactionTimeout()`
`boolean` `isSameRM(XAResource xaResource)`
`int` `prepare(Xid xid)`
`Xid[]` `recover(int flags)`
`void` `rollback(Xid xid)`
`boolean` `setTransactionTimeout(int timeout)`
`void` `start(Xid xid, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLXAResource

    public MySQLXAResource(MySQLConnection connection)

### Method Detail

#### commit

    public void commit(Xid xid,
              boolean onePhase)
                throws XAException

Specified by:
  `commit` in interface `XAResource`
Throws:
  `XAException`

#### end

    public void end(Xid xid,
           int flags)
             throws XAException

Specified by:
  `end` in interface `XAResource`
Throws:
  `XAException`

#### forget

    public void forget(Xid xid)
                throws XAException

Specified by:
  `forget` in interface `XAResource`
Throws:
  `XAException`

#### getTransactionTimeout

    public int getTransactionTimeout()
                              throws XAException

Specified by:
  `getTransactionTimeout` in interface `XAResource`
Throws:
  `XAException`

#### isSameRM

    public boolean isSameRM(XAResource xaResource)
                     throws XAException

Specified by:
  `isSameRM` in interface `XAResource`
Throws:
  `XAException`

#### prepare

    public int prepare(Xid xid)
                throws XAException

Specified by:
  `prepare` in interface `XAResource`
Throws:
  `XAException`

#### recover

    public Xid[] recover(int flags)
                  throws XAException

Specified by:
  `recover` in interface `XAResource`
Throws:
  `XAException`

#### rollback

    public void rollback(Xid xid)
                  throws XAException

Specified by:
  `rollback` in interface `XAResource`
Throws:
  `XAException`

#### setTransactionTimeout

    public boolean setTransactionTimeout(int timeout)
                                  throws XAException

Specified by:
  `setTransactionTimeout` in interface `XAResource`
Throws:
  `XAException`

#### start

    public void start(Xid xid,
             int flags)
               throws XAException

Specified by:
  `start` in interface `XAResource`
Throws:
  `XAException`